Reddit through the shared SNS operations: users, posts, comment trees, communities and the popular feed.
Operations
| Operation | Endpoint | Returns | Price |
|---|---|---|---|
| Profile | GET | POST /v1/reddit/profile | Account | $0.001–$0.002 |
| Profiles | GET | POST /v1/reddit/profiles | Page<Account> | $0.001 |
| Post | GET | POST /v1/reddit/post | Post | $0.001 |
| Posts | GET | POST /v1/reddit/posts | Page<Post> | $0.001 |
| Comments | GET | POST /v1/reddit/comments | Page<Comment> | $0.001 |
| Group | GET | POST /v1/reddit/group | Group | $0.001–$0.003 |
| Groups | GET | POST /v1/reddit/groups | Page<Group> | $0.001 |